import requests
import pandas as pd

# リクエスト先のアドレス
url = 'http://localhost:8000/predict'

# 予測したいデータの読み込み
request = pd.read_csv('./data/request.csv', index_col=0)

# データの情報をdictに格納
data = {'data': request.to_numpy().tolist(), 
        'index': request.index.to_numpy().tolist(),
        'columns': request.columns.to_numpy().tolist()}

# URLにデータをPOSTする
response = requests.post(url, json=data)

print(response.json())